CRAN Package Check Results for Package rjags

Last updated on 2021-09-22 08:50:27 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 4-10 10.04 30.72 40.76 WARN
r-devel-linux-x86_64-debian-gcc 4-10 7.00 24.27 31.27 WARN
r-devel-linux-x86_64-fedora-clang 4-10 61.15 OK
r-devel-linux-x86_64-fedora-gcc 4-10 50.68 OK
r-devel-windows-x86_64 4-10 10.00 43.00 53.00 OK
r-devel-windows-x86_64-gcc10-UCRT 4-10 ERROR
r-patched-linux-x86_64 4-10 9.75 29.96 39.71 WARN
r-patched-solaris-x86 4-10 72.10 OK
r-release-linux-x86_64 4-10 8.54 30.00 38.54 WARN
r-release-macos-arm64 4-10 OK
r-release-macos-x86_64 4-10 OK
r-release-windows-ix86+x86_64 4-10 22.00 54.00 76.00 OK
r-oldrel-macos-x86_64 4-10 OK
r-oldrel-windows-ix86+x86_64 4-10 45.00 50.00 95.00 OK

Check Details

Version: 4-10
Check: top-level files
Result: WARN
     Output from running autoreconf:
     configure.ac:57: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:57: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:57: the top level
     configure.ac:79: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:79: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:79: the top level
     configure.ac:118: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:118: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:118: the top level
     configure.ac:142: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:142: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:142: the top level
     configure.ac:194: warning: AC_OUTPUT should be used without arguments.
     configure.ac:194: You should run autoupdate.
     configure.ac:195: warning: AC_OUTPUT should be used without arguments.
     configure.ac:195: You should run autoupdate.
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-debian-gcc, r-patched-linux-x86_64, r-release-linux-x86_64

Version: 4-10
Check: whether package can be installed
Result: ERROR
    Installation failed.
Flavor: r-devel-windows-x86_64-gcc10-UCRT